@import './../../../../../styles.scss';

.ImagenCar{

    @extend .img-fluid;
    @extend .card-img-top;
    width: 96px;
    height: 96px;

}

.ImagenPrincipal{
    
    height: 200px;
    width: 200px;

}

.ContenedorImagenes{
    
    @extend .form-group;
    @extend .col-12;
    @extend .col-lg-8;

    &--Cabecera{

        @extend .row;
        @extend .pt-1;
        @extend .pb-1;
        @extend .text-center;
        @extend .align-middle;
        @extend .rounded;
        @extend .border-bottom-primary;

        &-ColumnaEtiqueta{

            @extend .text-primary;
            @extend .text-center;
            @extend .font-weight-bold;

        }

    }

    &--Detalles{

        @extend .ml-1;
        @extend .pt-2;
        @extend .pb-2;

    }

    &--Item{

        @extend .row; 
        @extend .d-flex; 
        @extend .align-items-center; 
        @extend .text-center;
        @extend .pt-2;
        @extend .pb-2;
        border-bottom: 1px solid #e9ecef;

        &-Imagen{

            @extend .img-fluid;
            @extend .card-img-top;
            @extend .text-center;

            width: 64px;
            height: 64px;

        }
        
        &-Titulo{

            @extend .text-left;
            @extend .text-xs;
            @extend .text-center;

        }

    }

    &--Paginacion{

        @extend .row; 

    }

}

.ContendorImagenDetalle{

    @extend .form-group;
    @extend .col-12;
    @extend .col-lg-4;

    &--ImagenDetalle{

        @extend .img-fluid;
        width: 256px;
        height: 256px;
    
    }

}

// .ContenedorImagen{

//     @extend .card-body;
//     position: relative;

//     .overlay {

//         @extend .bg-gradient-dark;
//         position: absolute;
//         bottom: 0;
//         left: 0;
//         right: 0;
//         // background-color: black;
//         opacity: 0.9;
//         overflow: hidden;
//         width: 100%;
//         height: 0;
//         transition: .5s ease;
//     }

// }

// .ContenedorImagen:hover .overlay {
//     height: 100%;
// }

// .LabelPrincipal {

//     color:grey;
//     font-size: 25px;
//     text-align: right;
//     margin-right: 20px;
//     top: 20%;

//     // &:hover{

//     //     color:orange;
//     // }

// }

// .RadioPrincipal{

//     position: relative;
//     display: none;

// }

// .RadioPrincipal:checked + .LabelPrincipal{

//     color:orange;

// }

// .Controles {
    
//     position: absolute;
//     top: 50%;
//     left: 50%;
//     -webkit-transform: translate(-50%, -50%);
//     -ms-transform: translate(-50%, -50%);
//     transform: translate(-50%, -50%);

// }
  